goalFixPhone.mSteps = 
{
	{ action = "click", object = objectLivingroomPhoneCordSocket, selection = objectBedroomHandsetcord },
	{ action = "click", object = objectLivingroomPhoneDialfaceSocket, selection = objectBasementDialface },
	{ action = "click", object = objectLivingroomPhoneEarpiece1Socket, selection = objectShedEarpiece1 },
	{ action = "click", object = objectLivingroomPhoneEarpiece2Socket, selection = objectLivingroomEarpiece2 },
}
-- ----------------------------------------------------------------------------
function goalFixPhone:onUsedAll(object, props)

	if ((objectBedroomHandsetcord:isUsed()) and
		(objectBasementDialface:isUsed()) and
		(objectShedEarpiece1:isUsed()) and
		(objectLivingroomEarpiece2:isUsed())
		) then
		
		objectLivingroomPhoneBroken:ss(kDone)
		
		self:achieved()
		
	end

end